#### KEYLENGTH

#### Synopsis

    HELP:   (HOST) Key length for FLAMFILE as KSDS (not used anymore)
    TYPE:   NUMBER
    SYNTAX: KEYLENGTH/KEYLEN/KEYL=num

#### Description

Key length of an index sequential compressed file (z/OS only).

In an index sequential compressed file the key must be positioned at the beginning of the record. The key length should be equal to the sum of the length of all partial keys of the original file + 1. However, it is allowed to violate this rule. If sequential data is compressed into an index sequential compressed file, a key length of 5 bytes is sufficient.

See also parameter KEYDISP.

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `KEYLEN=n`
  - `KEYL=n`

Values

- z/OS
  - 0, 1 - 255

Default

- z/OS
  - 0 (no key)

Valid for

- compression
- decompression